body {
    height: 100%;
    margin: 0;
    padding: 0;
    overflow: hidden;
    color: floralwhite;
    font-family: 'JetBrains Mono', monospace;
}

.background {
    background-image: url("img/ChillWave.jpg");

    position: fixed;
    top: -100%;
    left: -100%;
    width: 300%;
    height: 300%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    animation: rotate 35s linear infinite;
    filter: blur(55px);
    border-radius: 100em;
    z-index: -5;
    transition: 0.6s ease-in-out;
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#swapButton {
    background-image: url("img/star.png");
    background-color: floralwhite;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    border: none;
    padding: 5px 5px;
    margin-left: 4px;
    margin-right: 4px;
    transform: translateY(-3.2px);
    text-align: center;
    text-decoration: none;
    font-size: 24px;
    border-radius: 100%;
    font-family: 'JetBrains Mono', monospace;
}

h1 {
    text-align: center;
    margin-top: 25%;
    font-size: 48px;
    transition: 1s ease-in-out;
}

h2 {
    max-width: fit-content;
    margin: -2% auto;
    transition: 0.3s ease-in-out;
}

h2 a {
    color: rgb(215, 211, 201);
    text-decoration: none;
    transition: 1s ease-in-out;
}

h2:hover {
    transform: scale(105%);
    text-shadow: 0px 0px 25px rgba(0,0,0,1);
}

#hint {
    margin-left: 50px;
}